#!/usr/bin/env python

from WebStack.Adapters import Twisted
from WebStack.Resources.Login import LoginResource, LoginAuthenticator
import twisted.web.server
import twisted.internet.reactor

# Special magic incantation.

resource = LoginResource(
    LoginAuthenticator(
        secret_key="horses",
        credentials=(
            ("badger", "abc"),
            ("vole", "xyz"),
        )
    )
)

top_level = Twisted.Dispatcher(resource)
site = twisted.web.server.Site(top_level)
twisted.internet.reactor.listenTCP(8081, site)
twisted.internet.reactor.run()

# vim: tabstop=4 expandtab shiftwidth=4
